Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233899 - UI regressions in new eggcups
Summary: UI regressions in new eggcups
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: desktop-printing
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-03-25 17:22 UTC by Matthias Clasen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 11:46:50 UTC


Attachments (Terms of Use)

Description Matthias Clasen 2007-03-25 17:22:27 UTC
The new eggcups may be better in the cups communication, but there are
several unfortunate regressions in the UI:

- no way to hide the icon (old eggcups had a context menu for that purpose)

- File -> Close Window does not work

- Window comes up ridiculously wide. Please ellipsize the "Document" column
  and give it a reasonable width

- useless statusbar, just remove it

- no way to clear the list

- no window icon set

Comment 1 Tim Waugh 2007-03-25 19:31:38 UTC
File->Close was fixed in CVS.
Yes, needs ellipsizing.
Okay, will remove.
How do you mean 'clear the list'?  You mean cancel all jobs?
I can set a window icon (I didn't think the old eggcups did actually).


Comment 2 Matthias Clasen 2007-03-25 19:58:51 UTC
With "Clear" I mean "Remove the completed jobs from the list". As things
currently stand, the list is ever-growing, no ?

Comment 3 Tim Waugh 2007-03-26 11:46:50 UTC
No, the list is not ever-growing, in the same way that 'lpstat -o' is not
ever-growing.  Completed jobs may be viewed by toggling 'View->Show completed jobs'.

Please try system-config-printer-0.7.59-1.fc7.


Comment 4 Matthias Clasen 2007-03-26 12:24:21 UTC
At what point is a completed job dropped from the list ?

Comment 5 Tim Waugh 2007-03-26 12:35:33 UTC
When it is completed.

Comment 6 Matthias Clasen 2007-03-26 17:59:40 UTC
No, when it is completed, it gets hidden. It stays on the list, as "Show
completed" proves. I meant drop for good.

Comment 7 Tim Waugh 2007-03-26 22:36:02 UTC
It just depends how you've configured CUPS.  The default is for it to preserve
job history (but not job files).  Try 'lpstat -Wall -o'.

This is all CUPS policy.


Note You need to log in before you can comment on or make changes to this bug.